<?php
/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2019 - 2024 Prestalia
 *  @license   Commercial
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

$db = Db::getInstance();
$p = _DB_PREFIX_;

$sql = [
    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_conf` (
        `conf_key` VARCHAR(64) NOT NULL DEFAULT '0' COLLATE 'utf8_unicode_ci',
        `id_shop` INT(11) NOT NULL DEFAULT '1',
        `id_lang` INT(11) NOT NULL DEFAULT '1',
        `conf_value` VARCHAR(255) NULL DEFAULT '0' COLLATE 'utf8_unicode_ci',
        PRIMARY KEY (`conf_key`, `id_shop`, `id_lang`)
    ) COLLATE='utf8_unicode_ci' ENGINE=InnoDB",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_category` (
        `id_category` int(11) NOT NULL,
        `id_shop` int(11) NOT NULL DEFAULT '1',
        `endpoint` INT(11) NOT NULL DEFAULT '1',
        `boost` INT(11) NOT NULL DEFAULT '1',
        `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
        `updated_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
        PRIMARY KEY (`id_category`,`id_shop`, `endpoint`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_manufacturer` (
        `id_manufacturer` int(11) NOT NULL,
        `id_shop` int(11) NOT NULL DEFAULT '1',
        `endpoint` INT(11) NOT NULL DEFAULT '1',
        `boost` INT(11) NOT NULL DEFAULT '1',
        `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
        `updated_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
        PRIMARY KEY (`id_manufacturer`,`id_shop`, `endpoint`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_product` (
        `id_product` int(11) NOT NULL,
        `id_shop` int(11) NOT NULL DEFAULT '1',
        `endpoint` INT(11) NOT NULL DEFAULT '1',
        `boost` INT(11) NOT NULL DEFAULT '1',
        `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
        `updated_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
        PRIMARY KEY (`id_product`,`id_shop`, `endpoint`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_supplier` (
        `id_supplier` int(11) NOT NULL,
        `id_shop` int(11) NOT NULL DEFAULT '1',
        `endpoint` INT(11) NOT NULL DEFAULT '1',
        `boost` INT(11) NOT NULL DEFAULT '1',
        `enabled` tinyint(1) unsigned NOT NULL DEFAULT '1',
        `updated_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
        PRIMARY KEY (`id_supplier`,`id_shop`, `endpoint`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_queue` (
        `id_product` INT(11) NOT NULL DEFAULT '1',
        `id_shop` int(11) NOT NULL DEFAULT '1',
        `updated_on` int(11) NOT NULL DEFAULT '0',
        PRIMARY KEY (`id_product`,`id_shop`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_filters_position` (
        `id_filter` INT(11) NOT NULL AUTO_INCREMENT,
        `id_shop` INT(11) NOT NULL DEFAULT '1',
        `id_lang` INT(11) NOT NULL DEFAULT '1',
        `type` VARCHAR(16) NOT NULL DEFAULT '',
        `value` INT(11) NOT NULL DEFAULT '0',
        `has_search` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
        `is_open` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
        `position` INT(11) NOT NULL,
        `active` INT(11) NOT NULL DEFAULT '1',
        PRIMARY KEY (`id_filter`),
        UNIQUE INDEX `id_filter` (`id_shop`, `id_lang`, `type`, `value`)
    ) COLLATE='utf8_unicode_ci' ENGINE=InnoDB",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_landing` (
        `id_landing` INT(11) NOT NULL DEFAULT '1',
        `id_shop` INT(11) NOT NULL DEFAULT '1',
        `id_lang` INT(11) NOT NULL DEFAULT '1',
        `name` VARCHAR(128) NOT NULL COLLATE 'utf8_unicode_ci',
        `link_rewrite` VARCHAR(128) NOT NULL COLLATE 'utf8_unicode_ci',
        `description` TEXT NULL COLLATE 'utf8_unicode_ci',
        `image` TEXT NULL COLLATE 'utf8_unicode_ci',
        `meta_title` VARCHAR(128) NULL DEFAULT NULL COLLATE 'utf8_unicode_ci',
        `meta_description` VARCHAR(512) NULL DEFAULT NULL COLLATE 'utf8_unicode_ci',
        `source` INT(11) NOT NULL DEFAULT '0',
        `source_data` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_unicode_ci',
        `search_query` VARCHAR(128) NULL DEFAULT NULL COLLATE 'utf8_unicode_ci',
        `active` INT(11) NOT NULL DEFAULT '1',
        PRIMARY KEY (`id_landing`, `id_shop`, `id_lang`)
    ) COLLATE='utf8_unicode_ci' ENGINE=InnoDB",

    "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_relevance_position` (
        `id_relevance` INT(11) NOT NULL AUTO_INCREMENT,
        `id_shop` INT(11) NOT NULL DEFAULT '1',
        `id_lang` INT(11) NOT NULL DEFAULT '1',
        `type` VARCHAR(16) NOT NULL DEFAULT '',
        `position` INT(11) NOT NULL,
        `active` INT(11) NOT NULL DEFAULT '1',
        PRIMARY KEY (`id_relevance`),
        UNIQUE INDEX `id_relevance` (`id_shop`, `id_lang`, `type`)
    ) COLLATE='utf8_unicode_ci' ENGINE=InnoDB",
];

foreach ($sql as $query) {
    if (!$db->query($query)) {
        $db->displayError(true);
    }
}
