<?php
/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2019 - 2024 Prestalia
 *  @license   Commercial
 */

namespace Prestalia\Sniperfast\AjaxValidator;

if (!defined('_PS_VERSION_')) {
    exit;
}

class AjaxValidator
{
    protected $idShop;
    protected $idLang;
    protected $token;
    protected $errors;

    public function __construct($idShop, $idLang, $token)
    {
        $this->idShop = $idShop;
        $this->idLang = $idLang;
        $this->token = $token;
    }

    public function isValid()
    {
        if (!is_numeric($this->idShop) || $this->idShop < 1) {
            $this->errors = [
                'success' => false,
                'msg' => 'invalid_shop_id',
            ];

            return false;
        }

        if (empty($this->idLang) || !is_numeric($this->idLang)) {
            $this->errors = [
                'success' => false,
                'msg' => 'invalid_idLang',
            ];

            return false;
        }

        if (empty($this->token)
            || $this->token != \SniperCommon::getConfig('ajax_token', $this->idShop, $this->idLang)
        ) {
            $this->errors = [
                'success' => false,
                'msg' => 'invalid_token',
            ];

            return false;
        }

        return true;
    }

    public function getError()
    {
        return $this->errors;
    }
}
