<?php
/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2019 - 2024 Prestalia
 *  @license   Commercial
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

require_once dirname(__FILE__) . '/../autoload.php';

function upgrade_module_1_5_0($module)
{
    unset($module);

    $idShop = Context::getContext()->shop->id;
    if ($idShop < 1) {
        $idShop = 1;
    }

    // Create new database tables
    $db = Db::getInstance();
    $p = _DB_PREFIX_;
    $sql = [
        "CREATE TABLE IF NOT EXISTS `{$p}sniperfast_filters_position` (
        	`id_filter` INT(11) NOT NULL AUTO_INCREMENT,
        	`id_shop` INT(11) NOT NULL DEFAULT '1',
        	`id_lang` INT(11) NOT NULL DEFAULT '1',
        	`type` VARCHAR(16) NOT NULL DEFAULT '',
        	`value` INT(11) NOT NULL DEFAULT '0',
        	`position` INT(11) NOT NULL,
        	`active` INT(11) NOT NULL DEFAULT '1',
        	PRIMARY KEY (`id_filter`),
        	UNIQUE INDEX `id_filter` (`id_shop`, `id_lang`, `type`, `value`)
        ) COLLATE='utf8_unicode_ci' ENGINE=InnoDB",
    ];
    $res = true;
    try {
        foreach ($sql as $query) {
            $res &= $db->execute($query);
        }
    } catch (PrestashopDatabaseException $ex) {
        file_put_contents(dirname(__FILE__) . '/sniper150.txt', $ex->getMessage() . "\n", FILE_APPEND);
    }

    $sql = "SELECT DISTINCT(id_lang)
        FROM {$p}sniperfast_conf
        WHERE id_lang < 999";
    $configuredLanguages = $db->executeS($sql);
    foreach ($configuredLanguages as $cl) {
        $errorMsg = '';
        SniperCommon::checkConfig($idShop, $cl['id_lang']);
        SniperCommon::setFiltersPosition($idShop, $cl['id_lang']);
        SniperCommon::updateMainData($idShop, $cl['id_lang'], $errorMsg);
        if (!empty($errorMsg)) {
            file_put_contents(dirname(__FILE__) . '/sniper150.txt', $errorMsg . "\n", FILE_APPEND);
        }
    }

    if (file_exists(dirname(__FILE__) . '/../views/js/back_130.js')) {
        unlink(dirname(__FILE__) . '/../views/js/back_130.js');
    }
    if (file_exists(dirname(__FILE__) . '/../views/js/back_142.js')) {
        unlink(dirname(__FILE__) . '/../views/js/back_142.js');
    }
    if (file_exists(dirname(__FILE__) . '/../views/css/back_142.css')) {
        unlink(dirname(__FILE__) . '/../views/css/back_142.css');
    }

    return true;
}
