/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2019 - 2024 Prestalia
 *  @license   Commercial
 */
$(document).ready(function(){
    if (!$('#sniperfast-expiry').length || !$('#sniperfast-expiry').hasClass('check_required')) {
        return;
    }
    checkSniperfastExpirationDate();
});

function checkSniperfastExpirationDate()
{
    $.ajax({
        url: prestalia_sniperfast.admin_settings_link_save,
        method: 'POST',
        data: {
            s: prestalia_sniperfast.id_shop,
            l: prestalia_sniperfast.id_lang,
            t: prestalia_sniperfast.ajax_token,
            ajax: true,
            action: 'getExpirationDate',
            isFromBo: 0
        }
    }).done(function(data){
        if (typeof data.success === 'undefined' || !data.success) {
            return;
        }

        if (data.result.has_expired) {
            return;
        } else if (data.result.show_warning) {
            $('#sniperfast-expiry').removeClass('check_required').removeClass('snpf_hidden');
        }
    }).fail(function(){
        console.log('Could not retrieve SniperFast\'s expiration date');
    });
}