{*
*  Copyright (C) Prestalia - All Rights Reserved
*
*  Unauthorized copying of this file, via any medium is strictly prohibited
*  Proprietary and confidential
*
*  @author    Prestalia
*  @copyright 2019 - 2024 Prestalia
*  @license   This is proprietary software thus it cannot be distributed or reselled
*}

<script type="text/javascript">
    var sniper_ajaxExportUrl = "{$ajax_export_url|escape:'quotes':'UTF-8'}";
    var sniper_exportAlert = "{l s='Exporting will overwrite the previous exported file. Are you sure?' mod='sniperfast'}";
    var sniper_statusText = {
        "working"               : "{l s='Working...' mod='sniperfast'}",
        "done"                  : "{l s='Export done' mod='sniperfast'}",
        "cannot_execute_request": "{l s='Error: cannot execute request' mod='sniperfast'}",
        "missing_configuration" : "{l s='Error: missing configuration. Configure the module and try again' mod='sniperfast'}",
        "nothing_to_do"         : "{l s='Nothing to do' mod='sniperfast'}"
    };
    var sniper_index_pending = "{l s='Indexing request pending' mod='sniperfast'}";
    var sniper_index_notfound = "{l s='Indexing request not found' mod='sniperfast'}";
    var sniper_index_completed = "{l s='Indexing request completed' mod='sniperfast'}";
</script>

<div class="row">
        <div class="col-lg-6">
        <div class="panel sniper-panel-export">
            <div class="panel-heading">
                {l s='Export info' mod='sniperfast'}
            </div>
            <div class="content-wrapper">
                <div class="list-info">
                    <div class="row">
                        <div class="cell-left">{l s='Max execution time' mod='sniperfast'}:</div>
                        <div class="cell-right">{$max_execution_time|escape:'htmlall':'UTF-8'} {l s='seconds' mod='sniperfast'}</div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Memory limit' mod='sniperfast'}:</div>
                        <div class="cell-right">{$memory_limit|escape:'htmlall':'UTF-8'}</div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Output CSV directory' mod='sniperfast'}:</div>
                        <div class="cell-right">{$output_dir|escape:'htmlall':'UTF-8'}</div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Directory status' mod='sniperfast'}:</div>
                        <div class="cell-right">

                            {if $dir_writable}
                                <b class="green">{l s='Directory is writable' mod='sniperfast'}</b>
                            {else}
                                <b class="red">{l s='Directory is not writable' mod='sniperfast'}. {l s='You will not be able to export your datafeed' mod='sniperfast'}</b>
                            {/if}

                        </div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Last export date' mod='sniperfast'}:</div>
                        <div class="cell-right">
                            {$last_export_date|escape:'htmlall':'UTF-8'}
                        </div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Last export status' mod='sniperfast'}:</div>
                        <div class="cell-right">
                            {if $last_export_status == "ok"}
                                <b class="green">{l s='OK' mod='sniperfast'}</b>
                            {elseif $last_export_status == "exports_gap_not_elapsed"}
                                <b class="green">{l s='OK. (Export routine launched more times than necessary but that\'s ok)' mod='sniperfast'}</b>
                            {elseif $last_export_status == "products_left"}
                                <b class="red">{l s='Due to server\'s limitations, CRON job was not able to complete the export.' mod='sniperfast'}</b>
                                {l s='In order to complete it run the CRON again as many times as necessary.' mod='sniperfast'}<br>
                                {l s='Increase max_execution_time on your server to see if the next export can be completed in single cycle.' mod='sniperfast'}<br>
                                {l s='If not, complete the export manually using the dedicated button down below.' mod='sniperfast'}
                            {elseif $last_export_status == "error"}
                                <b class="red">{l s='Error' mod='sniperfast'}</b>
                            {/if}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="panel sniper-panel-export">
            <div class="panel-heading">
                {l s='Index info' mod='sniperfast'}
            </div>
            <div class="content-wrapper">
                <div class="list-info">
                    <div class="row">
                        <div class="cell-left">{l s='Indexing status' mod='sniperfast'}:</div>
                        <div class="cell-right"><span id="gen-index-status"></span></div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Elaborated products' mod='sniperfast'}:</div>
                        <div class="cell-right"><span id="gen-elab-prod"></span></div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Elaboration time' mod='sniperfast'}:</div>
                        <div class="cell-right"><span id="gen-elab-time"></span></div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Added on' mod='sniperfast'}:</div>
                        <div class="cell-right"><span id="gen-add-on"></span></div>
                    </div>
                    <div class="row">
                        <div class="cell-left">{l s='Elaborated on' mod='sniperfast'}:</div>
                        <div class="cell-right"><span id="gen-comp-on"></span></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="panel sniper-panel-export">
    <div class="panel-heading">
        {l s='Export' mod='sniperfast'}
    </div>
    <div class="defaultForm form-horizontal">
        <div class="form-wrapper">
            <div class="form-group">
                <label class="control-label col-lg-4">{l s='My website is currently under develpment' mod='sniperfast'}</label>
                <div class="col-lg-8">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="is_in_development" id="is_in_development_on" value="1"{if $maintenance_mode} checked="checked" disabled{/if}>
                        <label for="is_in_development_on">{l s='Yes' mod='sniperfast'}</label>
                        <input type="radio" name="is_in_development" id="is_in_development_off" value="0"{if !$maintenance_mode} checked="checked"{else} disabled{/if}>
                        <label for="is_in_development_off">{l s='No' mod='sniperfast'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                    {if $maintenance_mode}
                        {l s='We detected that your website is in maintenance mode. Keep this option enabled so that we can elaborate your file properly.' mod='sniperfast'}
                    {else}
                        {l s='Keep this option enabled if your website is currently under development and/or requires a username and password to be accessed. In this way SniperFast will be able to elaborate your file properly.' mod='sniperfast'}<br>
                        {l s='Enable this option also if you have a proxy or a firewall that might prevent SniperFast from receiving your file.' mod='sniperfast'}
                    {/if}
                </div>
            </div>
            {*
            <div class="form-group">
                <label class="control-label col-lg-4">{l s='Update modified products only' mod='sniperfast'}</label>
                <div class="col-lg-8">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="sniperfast_updateonly" id="sniperfast_updateonly_on" value="1"{if $updateonly eq 1} checked="checked"{/if}>
                        <label for="sniperfast_updateonly_on">{l s='Yes' mod='sniperfast'}</label>
                        <input type="radio" name="sniperfast_updateonly" id="sniperfast_updateonly_off" value="0"{if $updateonly neq 1} checked="checked"{/if}>
                        <label for="sniperfast_updateonly_off">{l s='No' mod='sniperfast'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>
            *}
            <div class="form-group">
                <label class="control-label col-lg-4">{l s='Export the selected products to CSV' mod='sniperfast'}</label>
                <div class="col-lg-8">
                    <button class="btn btn-default col-lg-3{if !$dir_writable} disabled{/if}" id="btn-export">
                        <i class="process-icon-export"></i>
                        {l s='Export' mod='sniperfast'}
                    </button>
                    <br>
                    <div class="list-info" id="export-info">
                        <div class="row">
                            <div class="cell-left">
                                {l s='Progress' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <div class="progress-bar-outer" id="export-progress-bar"><div class="progress-bar-inner"></div></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Status' mod='sniperfast'}:
                            </div>
                            <div class="cell-right" id="export-status">
                                <span class="prestalia-green">Working...</span>
                                <span class="red">Error</span>
                                <span class="green">Export done</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Cycles' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-cycles">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Total time' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-total-time">--</span>
                                {l s='seconds' mod='sniperfast'}
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Avg time per product' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-avg-time">--</span>
                                {l s='seconds' mod='sniperfast'}
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Memory used' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-memory-use">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Exported CSV rows' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-csv-rows">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Last processed product ID' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-last-id">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Products to export' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-products-count">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Skipped products (price filter)' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-skipped-price">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Skipped products (quantity filter)' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-skipped-quantity">--</span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="cell-left">
                                {l s='Skipped products (product inactive)' mod='sniperfast'}:
                            </div>
                            <div class="cell-right">
                                <span id="export-skipped-inactive">--</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-4">{l s='File download' mod='sniperfast'}</label>
                <div class="col-lg-8">
                    <div class="col-lg-3" style="padding:0px;float:none;">
                        <a href="{$csv_url|escape:'htmlall':'UTF-8'}" target="_blank" class="btn btn-default input" id="download-first-file" style="width:100% !important;">
                            <i class="process-icon-download"></i>
                            {l s='Download' mod='sniperfast'}
                        </a>
                    </div>
                    <p class="help-block">
                    {l s='If your file can\'t be elaborated properly, download it using this button and manually upload it to the SniperFast Manager panel. Go to AI Search - Product Indexing - Upload, then select SniperFast file type and File as upload method.' mod='sniperfast'}
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="panel sniper-panel-export">
    <div class="panel-heading">
        {l s='Cron - Standard mode' mod='sniperfast'}
    </div>
    <div class="content-wrapper">
        <span>{l s='In order to keep your feed updated it is highly suggested to setup a Cron' mod='sniperfast'}.</span><br>
        <span>
            {l s='With the following link the export will run as long as your server is allowed to.' mod='sniperfast'}
            &nbsp;
            {l s='If the max execution time is not enough, then you will have to configure on your server as many CRONs as required to end the process.' mod='sniperfast'}
            <br>
            {l s='Let\'s make an example: if the export does not end and your max execution time is 10 minutes long, then you will have setup a second CRON that will have to start 10 minutes after the previous one. Repeat this configuration as much as it is required.' mod='sniperfast'}
        </span><br><br>
        <span>{l s='Use this link to generate your datafeed using Cron' mod='sniperfast'}:</span><br>
        <input class="snpf_cron_link" type="text" value="{$cron_export_url|escape:'htmlall':'UTF-8'}" style="color: black !important;cursor: text;" disabled />
        {*
        <br>
        <span>{l s='Use this one, instead, to generate your datafeed for updated products only using Cron' mod='sniperfast'}:</span><br>
        <input class="snpf_cron_link" type="text" value="{$cron_export_url|escape:'htmlall':'UTF-8'}&updateonly" style="color: black !important;cursor: text;" disabled />
        *}
        <br><br>
        <a class="snpf_show_advanced_cron">{l s='If you are experiencing any issue with the Standard mode, click here to show the Advanced one. This mode is useful if the standard CRON is not able to complete the whole elaboration in a single cycle due to server\'s configuration limits.' mod='sniperfast'}</a>
    </div>
</div>
<div class="panel sniper-panel-export sniper-adavanced-cron">
    <div class="panel-heading">
        {l s='Cron - Advanced mode' mod='sniperfast'}
    </div>
    <div class="content-wrapper">
        <span>
            {l s='With the following link the export will run as much as needed even if your server resources are limited.' mod='sniperfast'}
            &nbsp;
            {l s='To reach this result it is mandatory to run the CRON in the following way. Make sure to add double quotes before and after the url, exactly as shown here.' mod='sniperfast'}
            <br><br>
            <b>curl -L --max-redirs 1000 "{$cron_export_url|escape:'htmlall':'UTF-8'}&recursive=1" > /dev/null 2>&1</b>
            <br><br>
        </span>
    </div>
</div>
