{**
*  Copyright (C) Prestalia - All Rights Reserved
*  Unauthorized copying of this file, via any medium is strictly prohibited
*  Proprietary and confidential
*
*  @author    Prestalia <prestalia.it>
*  @copyright 2019 - 2024 Prestalia
*  @license   Commercial
*}
<script type="text/javascript">
    var sniper_shop_id = "{$sniper_shop_id|escape:'htmlall':'UTF-8'}";
    var sniper_shop_lang = "{$sniper_shop_lang|escape:'htmlall':'UTF-8'}";
    var sniper_ps_version = "{$sniper_ps_version|escape:'htmlall':'UTF-8'}";
    var sniper_module_version = "{$module_version|escape:'htmlall':'UTF-8'}";
    var sniper_token = "{$sniper_token|escape:'htmlall':'UTF-8'}";
    var sniper_data_success = "{l s='Indexing request sent' mod='sniperfast'}";
    var sniper_data_error = "{l s='Indexing request error' mod='sniperfast'}";
    var sniper_idjob_success = "{l s='ID request saved' mod='sniperfast'}";
    var sniper_idjob_error = "{l s='ID request save error' mod='sniperfast'}";
    var sniper_search_url = "{$sniper_search_url|escape:'htmlall':'UTF-8'}";
    var sniper_key = "{$sniper_key|escape:'htmlall':'UTF-8'}";
    var sniper_index_name = "{$sniper_index_name|escape:'htmlall':'UTF-8'}";
    var last_job_id = "{$last_job_id|escape:'htmlall':'UTF-8'}";
    var sniper_source_ip = "{$sniper_source_ip|escape:'htmlall':'UTF-8'}";
    var sniper_bar_lookup = "{$sniper_bar_lookup|escape:'htmlall':'UTF-8'}";
    var sniper_flags = "{$sniper_flags|escape:'htmlall':'UTF-8'}";
    var sniper_config_changed = "{$sniper_config_changed|escape:'htmlall':'UTF-8'}";
    var sniperfast_lang_iso_code = "{$sniperfast_lang_iso_code|escape:'htmlall':'UTF-8'}";
    var sniper_data_saved = "{l s='Data saved' mod='sniperfast'}";
    var sniperNoLangSelected = "{l s='Select at least one language' mod='sniperfast'}";
    var sniper_data_save_error = "{l s='Data save error' mod='sniperfast'}";
    var sniper_data_nostats = "{l s='No data available. Wait at least 24 hours' mod='sniperfast'}";
    var sniper_data_iperr = "{l s='One ore more IP is not valid' mod='sniperfast'}";
    var sniper_data_ipok = "{l s='Valid IPs saved' mod='sniperfast'}";
    var sniper_account_ok = "{l s='Account created' mod='sniperfast'}";
    var sniper_account_error = "{l s='Account creation error. Contact support' mod='sniperfast'}";
    var sniper_version_news = "{l s='NEWS!' mod='sniperfast'}";
    var sniper_version_warning = "{l s='A new update is available. The latest version is:' mod='sniperfast'}";
    var sniper_confirm_conversion = "{l s='Do you really want to convert the index? This operation can\'t be undone.' mod='sniperfast'}";

    {if isset($sniper_csv_export_url)}
        var sniperfast_csv_export_url = '{$sniper_csv_export_url}';
    {/if}
</script>

<div class="sniper_hidden">
    <input type="hidden" id="lang-selector" />
</div>

<div class="tab-pane" id="general" data-content-sniperfast="1">
    <div class="panel sniper-panel-statistics sniper-panel-export">
        {l s='Welcome to SniperFast, the instant e-commerce search engine!' mod='sniperfast'}<br>
        {l s='In order to start your free trial period or recover your data register on' mod='sniperfast'} <a href="{$manager_endpoint|escape:'htmlall':'UTF-8'}" target="_blank">manager.sniperfast.com</a>. {l s='This will grant you access to advanced functionalities and reports.' mod='sniperfast'}<br />
        {l s='Login now to complete the upgrade procedure or export your first feed, if you are a new customer.' mod='sniperfast'}
        <br />
        <br />
        {*
        <div class="list-info">
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">Token</div>
                <div class="cell-right col-lg-9">
                    <input type="text" class="form-control input fixed-width-xl" name="migration_token">
                </div>
            </div>
        </div>
        *}
        <div class="list-info">
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">{l s='You are registering this domain' mod='sniperfast'}</div>
                <div class="cell-right col-lg-9">
                    <div style="margin-top: 4px;font-size: 16px;">{$current_domain|escape:'htmlall':'UTF-8'}</div>
                </div>
            </div>
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">Email</div>
                <div class="cell-right col-lg-9">
                    <input type="text" class="form-control input fixed-width-xl" name="email">
                </div>
            </div>
        </div>
        <div class="list-info">
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">Password</div>
                <div class="cell-right col-lg-9">
                    <input type="password" class="form-control input fixed-width-xl" name="password">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="cell-left col-lg-3"></div>
            <div class="cell-right col-lg-9">
                <a class="btn btn-default input fixed-width-xl" id="submit-account-full">{l s='Register/Recover account' mod='sniperfast'}</a>
            </div>
        </div>
    </div>
    <div id="sniper_first_export" class="panel sniper-panel-statistics sniper-panel-export sniper_hidden">
        <p>{l s='Please select which languages you want to enable SniperFast for. Click on the Start products export button to generate a dedicated feed for each language with default configurations.' mod='sniperfast'}</p>
        <div class="list-info">
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">{l s='Languages' mod='sniperfast'}</div>
                <div class="cell-right col-lg-9">
                    <table id="snpf-onboard-langlist">
                        <thead>
                            <th><input type="checkbox" id="snpf-onboard-selall"></th>
                            <th>{l s='Select all' mod='sniperfast'}</th>
                        </thead>
                        <tbody>
                        {foreach $langs as $lang}
                            <tr>
                                <td><input type="checkbox" id="snpf-onboard-sel-{$lang.id|escape:'htmlall':'UTF-8'}" class="snpf-onboard-sel"></td>
                                <td>{$lang.name|escape:'htmlall':'UTF-8'}</td>
                            </tr>
                        {/foreach}
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">{l s='My website is currently under development' mod='sniperfast'}</div>
                <div class="cell-right col-lg-9">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="is_in_development" id="is_in_development_on" value="1"{if $maintenance_mode} checked="checked" disabled{/if}>
                        <label for="is_in_development_on">{l s='Yes' mod='sniperfast'}</label>
                        <input type="radio" name="is_in_development" id="is_in_development_off" value="0"{if !$maintenance_mode} checked="checked"{else} disabled{/if}>
                        <label for="is_in_development_off">{l s='No' mod='sniperfast'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                    {if $maintenance_mode}
                        {l s='We detected that your website is in maintenance mode. Keep this option enabled so that we can elaborate your file properly.' mod='sniperfast'}
                    {else}
                        {l s='Keep this option enabled if your website is currently under development and/or requires a username and password to be accessed. In this way SniperFast will be able to elaborate your file properly.' mod='sniperfast'}
                    {/if}
                </div>
            </div>
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3"></div>
                <div class="cell-right col-lg-9">
                    <button type="button" class="btn btn-default input fixed-width-xl" id="snpf-onboard-startexport">{l s='Start products export' mod='sniperfast'}</button>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div id="sniper_first_export_prods" class="col-lg-6 col-md-6 panel sniper-panel-statistics sniper-panel-export sniper_hidden">
            <p>{l s='SniperFast will now export products from your website. Wait until the operation ends: a confirmation panel will appear.' mod='sniperfast'}</p>
            <br />
            <p>
                {l s='This first export wil contain all the products currently enabled and visible on your website, so to enable filters for:' mod='sniperfast'}
                <br>
                <ul>
                    <li>{l s='Categories' mod='sniperfast'}</li>
                    <li>{l s='Manufacturers' mod='sniperfast'}</li>
                    <li>{l s='Price' mod='sniperfast'}</li>
                </ul>
                {l s='In order to show more filters feel free to enable the desired features and attributes within the respective module\'s  tabs and perform a new export.' mod='sniperfast'}
            </p>
            <div class="list-info">
                <div class="row sniper-utility-option">
                    <div class="cell-left col-lg-3">{l s='Export progress' mod='sniperfast'}</div>
                    <div class="cell-right col-lg-9">
                        <table id="snpf-onboard-expstatus">
                            <thead>
                                <th>{l s='Language' mod='sniperfast'}</th>
                                <th>{l s='Progress' mod='sniperfast'}</th>
                                <th>{l s='Status' mod='sniperfast'}</th>
                            </thead>
                            <tbody>
                            {foreach $langs as $lang}
                                <tr id="snpf-onboard-exportrow-{$lang.id|escape:'htmlall':'UTF-8'}" class="sniper_hidden">
                                    <td>{$lang.name|escape:'htmlall':'UTF-8'}</td>
                                    <td>
                                        <input type="hidden" id="snpf-index-{$lang.id|escape:'htmlall':'UTF-8'}">
                                        <input type="hidden" id="snpf-key-{$lang.id|escape:'htmlall':'UTF-8'}">
                                        <input type="hidden" id="snpf-token-{$lang.id|escape:'htmlall':'UTF-8'}">
                                        <input type="hidden" id="snpf-job-{$lang.id|escape:'htmlall':'UTF-8'}">
                                        <div class="progress-bar-outer" id="export-progress-bar-light-{$lang.id|escape:'htmlall':'UTF-8'}" class="export-progress-bar-light" data-iso="{$lang.iso_code|escape:'htmlall':'UTF-8'}">
                                            <div class="progress-bar-inner"></div>
                                        </div>
                                    </td>
                                    <td><i class="sniperfast-icon-enabled sniper_hidden"></i><i class="sniperfast-icon-disabled sniper_hidden"></i></td>
                                <tr>
                            {/foreach}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div id="sniper_prods_indexing" class="col-lg-6 col-md-6 panel sniper-panel-statistics sniper-panel-export sniper_hidden">
            <p>{l s='Depending on how big the exported file is, it will take a few minutes before the feed will be elaborated by the system.' mod='sniperfast'}</p>
            <div class="list-info">
                <div class="row sniper-utility-option">
                    <div class="cell-left col-lg-3">{l s='Elaboration progress' mod='sniperfast'}</div>
                    <div class="cell-right col-lg-9">
                        <table id="snpf-onboard-elabstatus">
                            <thead>
                                <th>{l s='Language' mod='sniperfast'}</th>
                                <th>{l s='Progress' mod='sniperfast'}</th>
                                <th>{l s='Status' mod='sniperfast'}</th>
                            </thead>
                            <tbody>
                            {foreach $langs as $lang}
                                <tr id="snpf-onboard-elabrow-{$lang.id|escape:'htmlall':'UTF-8'}" class="sniper_hidden">
                                    <td>{$lang.name|escape:'htmlall':'UTF-8'}</td>
                                    <td>
                                        <div class="progress-bar-outer" id="elab-progress-bar-light-{$lang.id|escape:'htmlall':'UTF-8'}" class="elab-progress-bar-light">
                                            <div class="progress-bar-inner"></div>
                                        </div>
                                    </td>
                                    <td>
                                        <div id="elab-progress-status-{$lang.id|escape:'htmlall':'UTF-8'}" class="elab-progress-status">
                                            <div style="margin-top: 3px;">
                                                <span class="last_job_status_ok last_job_status sniper_hidden">{l s='Indexing request completed' mod='sniperfast'}</span>
                                                <span class="last_job_status_pending last_job_status sniper_hidden">{l s='Indexing request pending' mod='sniperfast'}</span>
                                                <span class="last_job_status_working last_job_status sniper_hidden">{l s='Elaboration running' mod='sniperfast'}</span>
                                                <span class="last_job_status_notfound last_job_status sniper_hidden">{l s='Indexing request not found (this can happen when the last file received by the system was equal to the previous one)' mod='sniperfast'}</span>
                                            </div>
                                        </div>
                                        <i class="sniperfast-icon-enabled sniper_hidden"></i><i class="sniperfast-icon-disabled sniper_hidden"></i>
                                    </td>
                                <tr>
                            {/foreach}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="sniper_first_export_done" class="panel sniper-panel-statistics sniper-panel-export sniper_hidden">
        <div class="list-info go-to-manager sniper_hidden">
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3"></div>
                <div class="cell-right col-lg-9">
                    <p class="sniper_first_export_success sniper_hidden">
                        {l s='Well done! Your products have been successfully elaborated.' mod='sniperfast'}<br />
                    </p>
                </div>
            </div>
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3"></div>
                <div class="cell-right col-lg-9 snpf_enable_now">{l s='You\'re almost done! Enable SniperFast for your customers now!' mod='sniperfast'}</div>
            </div>
            <div class="row sniper-utility-option">
                <div class="cell-left col-lg-3">{l s='Enable' mod='sniperfast'}</div>
                <div class="cell-right col-lg-9">
                <span class="switch prestashop-switch fixed-width-lg">
                    <input type="radio" name="sniperfast_enable" id="sniperfast_enable_on" value="1">
                    <label for="sniperfast_enable_on">{l s='Yes' mod='sniperfast'}</label>
                    <input type="radio" name="sniperfast_enable" id="sniperfast_enable_off" value="0" checked="checked">
                    <label for="sniperfast_enable_off">{l s='No' mod='sniperfast'}</label>
                    <a class="slide-button btn"></a>
                </span>
                </div>
            </div>
            <div id="snpf-try-now-wrapper" class="row sniper-utility-option sniper_hidden">
                <div class="cell-left col-lg-3"></div>
                <div class="cell-right col-lg-9">
                    <a href="{$index_link|escape:'htmlall':'UTF-8'}" target="_blank" class="btn btn-default input " id="snpf-try-now">{l s='Try now!' mod='sniperfast'}</a>
                </div>
            </div>
        </div>
        <p class="sniper_first_export_error sniper_hidden">
            {l s='WARNING! An error occurred while generating the file. Please contact the support so that Prestalia can investigate what caused the problem.' mod='sniperfast'}
            <br />
            {l s='If your website is still in development and can\'t be publicly accessed, then SniperFast\'s server will not be able to download your file. Click on Go to the module and download it using the respective button within the Export tab, then manually upload it to the SniperFast Manager panel.' mod='sniperfast'}
        </p>

        <div id="go-to-module-footer" class="panel-footer sniper_hidden">
            <button data-src="{$admin_link|escape:'htmlall':'UTF-8'}" id="snpf-go-to-module" name="snpf-go-to-module" class="btn btn-default pull-right">
                {l s='Go to module' mod='sniperfast'}
            </button>
        </div>
    </div>
</div>